Bug 838586 - [abrt] libreoffice-core-3.5.4.2-4.fc17: gdk_screen_get_monitor_geometry killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.4.2-4.fc17: gdk_screen_get_monitor_geometry kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:e1133e8fd81a128356614f2207f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 10:31 EDT by Adam Inglis
Modified: 2012-07-19 19:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 19:03:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (55.05 KB, text/plain)
2012-07-09 10:31 EDT, Adam Inglis
no flags Details
File: dso_list (11.59 KB, text/plain)
2012-07-09 10:31 EDT, Adam Inglis
no flags Details
File: build_ids (4.48 KB, text/plain)
2012-07-09 10:31 EDT, Adam Inglis
no flags Details
File: backtrace (142.97 KB, text/plain)
2012-07-09 10:31 EDT, Adam Inglis
no flags Details
File: core_backtrace (97.03 KB, text/plain)
2012-07-09 10:31 EDT, Adam Inglis
no flags Details

  None (edit)
Description Adam Inglis 2012-07-09 10:31:14 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --splash-pipe=6
crash_function: IA__gdk_screen_get_monitor_geometry
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.4.4-3.fc17.x86_64
pid:            22682
pwd:            /home/ainglis
time:           Mon 09 Jul 2012 10:23:53 AM EDT
uid:            1000
username:       ainglis
xsession_errors: 

backtrace:      Text file, 146405 bytes
build_ids:      Text file, 4592 bytes
core_backtrace: Text file, 99357 bytes
dso_list:       Text file, 11869 bytes
maps:           Text file, 56373 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ainglis/2

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=2153
:XDG_SESSION_ID=2
:KDE_MULTIHEAD=false
:HOSTNAME=ACSOPS02
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/ainglis/.gtkrc-2.0:/home/ainglis/.gtkrc-2.0-kde4:/home/ainglis/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.113
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/ainglis/.gtkrc:/home/ainglis/.kde/share/config/gtkrc
:WINDOWID=90177562
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/home/ainglis/.cache/keyring-lHr3l7
:SHELL_SESSION_ID=59cae677805a4000bafdf835bd787ffa
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=ainglis
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-jTvdUIAG2001/agent.2001
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2280,unix/unix:/tmp/.ICE-unix/2280
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/ainglis
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/ainglis/.cabal/bin:/home/ainglis/.local/bin:/home/ainglis/bin
:QT_IM_MODULE=xim
:PWD=/home/ainglis
:XMODIFIERS=@im=none
:JAVA_HOME=/usr/java/latest
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1999
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/11
:HISTCONTROL=ignorespace
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/ainglis
:COLORFGBG=15;0
:XDG_SEAT=seat0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=ainglis
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-VEbDh83Oso,guid=95697cb78514d3df26f8dd0800000056
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:'PROMPT_COMMAND=history -a;'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/ainglis
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/ainglis/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:GTK_IM_MODULE=gtk-im-context-simple
:XAUTHORITY=/tmp/kde-ainglis/xauth-1000-_0
:LD_LIBRARY_PATH=/usr/java/jdk1.7.0_04/jre/lib/amd64/client:/usr/java/jdk1.7.0_04/jre/lib/amd64/server:/usr/java/jdk1.7.0_04/jre/lib/amd64/native_threads:/usr/java/jdk1.7.0_04/jre/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29870                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29870                29870                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/4
:pos:	0
:flags:	0102002
:1:/dev/pts/4
:pos:	0
:flags:	0102002
:2:/dev/pts/4
:pos:	0
:flags:	0102002
:3:socket:[354584]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[354580]
:pos:	0
:flags:	00
:6:pipe:[354580]
:pos:	0
:flags:	01
:7:socket:[353809]
:pos:	0
:flags:	02000002

var_log_messages:
:Jul  9 09:42:03 ACSOPS02 kernel: [ 8133.296981] soffice.bin[20154]: segfault at 7fff81cb5ff8 ip 0000003aa8630e65 sp 00007fff81cb6000 error 6 in libgobject-2.0.so.0.3200.3[3aa8600000+4b000]
:Jul  9 09:42:05 ACSOPS02 abrt[20207]: Saved core dump of pid 20154 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-09:42:03-20154 (100909056 bytes)
:Jul  9 09:50:59 ACSOPS02 abrt[20643]: Saved core dump of pid 20632 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-09:50:58-20632 (67297280 bytes)
:Jul  9 09:51:09 ACSOPS02 abrt[20701]: Not dumping repeating crash in '/usr/lib64/libreoffice/program/soffice.bin'
:Jul  9 09:51:17 ACSOPS02 abrt[20726]: Not dumping repeating crash in '/usr/lib64/libreoffice/program/soffice.bin'
:Jul  9 09:52:28 ACSOPS02 abrt[20753]: Saved core dump of pid 20746 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-09:52:27-20746 (67223552 bytes)
:Jul  9 09:52:46 ACSOPS02 abrt[20808]: Not dumping repeating crash in '/usr/lib64/libreoffice/program/soffice.bin'
:Jul  9 09:53:28 ACSOPS02 abrt[20904]: Saved core dump of pid 20897 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-09:53:27-20897 (67227648 bytes)
:Jul  9 09:54:31 ACSOPS02 abrt[20968]: Saved core dump of pid 20961 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-09:54:30-20961 (67223552 bytes)
:Jul  9 09:55:27 ACSOPS02 abrt[21089]: Saved core dump of pid 21082 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-09:55:26-21082 (67227648 bytes)
:Jul  9 09:55:34 ACSOPS02 kernel: [ 8942.296640] soffice.bin[21131]: segfault at 7fffa3df6fe8 ip 00007f9507357165 sp 00007fffa3df6ff0 error 6 in libvclplug_gtklo.so[7f950730e000+73000]
:Jul  9 09:55:34 ACSOPS02 abrt[21141]: Not dumping repeating crash in '/usr/lib64/libreoffice/program/soffice.bin'
:Jul  9 09:56:01 ACSOPS02 abrt[21196]: Saved core dump of pid 21187 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-09:56:00-21187 (67223552 bytes)
:Jul  9 09:58:56 ACSOPS02 abrt[21373]: Saved core dump of pid 21366 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-09:58:55-21366 (68055040 bytes)
:Jul  9 10:02:49 ACSOPS02 abrt[21612]: Saved core dump of pid 21605 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-10:02:48-21605 (65814528 bytes)
:Jul  9 10:04:08 ACSOPS02 abrt[21746]: Saved core dump of pid 21739 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-10:04:07-21739 (65814528 bytes)
:Jul  9 10:23:55 ACSOPS02 abrt[22691]: Saved core dump of pid 22682 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-07-09-10:23:53-22682 (57212928 bytes)
Comment 1 Adam Inglis 2012-07-09 10:31:18 EDT
Created attachment 597082 [details]
File: maps
Comment 2 Adam Inglis 2012-07-09 10:31:20 EDT
Created attachment 597083 [details]
File: dso_list
Comment 3 Adam Inglis 2012-07-09 10:31:22 EDT
Created attachment 597084 [details]
File: build_ids
Comment 4 Adam Inglis 2012-07-09 10:31:24 EDT
Created attachment 597085 [details]
File: backtrace
Comment 5 Adam Inglis 2012-07-09 10:31:25 EDT
Created attachment 597086 [details]
File: core_backtrace
Comment 6 Caolan McNamara 2012-07-10 04:03:29 EDT
  pScreen = getScreenMonitorFromIdx (nScreen, nMonitor);
  if (!pScreen)
      return Rectangle();
> gdk_screen_get_monitor_geometry (pScreen, nMonitor, &aRect);

doesn't look obviously wrong. Does this happen always ?, or were there specific circumstances or interesting multi-head configuration setup ?
Comment 7 Adam Inglis 2012-07-19 16:17:40 EDT
it did happen always, I have upgraded to 3.5.5.3-2.fc17 and it now loads the dialog without any issue
Comment 8 Caolan McNamara 2012-07-19 19:03:34 EDT
great.

Note You need to log in before you can comment on or make changes to this bug.